QGIS always changed spatialite datasource (when closing a project) even when no edits are done

2017-11-08 06:57 PM - Christoph Hormann

Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 25321

Description

Simplest way to reproduce:

    1. running qgis spatialite.db with some spatialite data file.

    2. immediately closing QGIS afterwards without doing anything else.

Result:

spatialite.db has been modified.  The modification happens during closing, between steps 1 and 2 the file is not modified.

I don't remember this happening in earlier versions - though i don't know when exactly it changed.

History

#1 - 2017-11-13 11:08 AM - Giovanni Manghi

- Subject changed from QGIS always touches spatialite files when closing to QGIS always changed spatialite datasource (when closing a project) even 

when no edits are done

- Priority changed from Normal to High

- Category changed from Data Provider to Data Provider/SpatiaLite

#2 - 2017-11-13 10:04 PM - Even Rouault

- Category changed from Data Provider/SpatiaLite to Data Provider/OGR

- Resolution set to up/downstream

- Status changed from Open to Closed

Fixed in GDAL trunk https://trac.osgeo.org/gdal/changeset/40702 and GDAL 2.2 branch https://trac.osgeo.org/gdal/changeset/40703

#3 - 2017-11-14 11:52 AM - Christoph Hormann

Thanks for the quick response.
